Loading...
Searching...
No Matches
VmaVirtualAllocationCreateInfo Struct Reference
Virtual allocator

Parameters of created virtual allocation to be passed to vmaVirtualAllocate(). More...

## Public Attributes

VkDeviceSize | size
| Size of the allocation.
VkDeviceSize | alignment
| Required alignment of the allocation. Optional.
VmaVirtualAllocationCreateFlags | flags
| Use combination of VmaVirtualAllocationCreateFlagBits.
void * | pUserData
| Custom pointer to be associated with the allocation. Optional.

## Detailed Description

Parameters of created virtual allocation to be passed to vmaVirtualAllocate().

## Member Data Documentation

## alignment

VkDeviceSize VmaVirtualAllocationCreateInfo::alignment

Required alignment of the allocation. Optional.

Must be power of two. Special value 0 has the same meaning as 1 - means no special alignment is required, so allocation can start at any offset.

## flags

VmaVirtualAllocationCreateFlags VmaVirtualAllocationCreateInfo::flags

Use combination of VmaVirtualAllocationCreateFlagBits.

## pUserData

void* VmaVirtualAllocationCreateInfo::pUserData

Custom pointer to be associated with the allocation. Optional.

It can be any value and can be used for user-defined purposes. It can be fetched or changed later.

## size

VkDeviceSize VmaVirtualAllocationCreateInfo::size

Size of the allocation.

Cannot be zero.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h